parameters:
    articleDir: img/upload/article

php:
	date.timezone: Europe/Prague


nette:
	application:
		errorPresenter:
		    Front:Error

		mapping:
			*: App\*Module\Presenters\*Presenter

	session:
		expiration: 14 days


services:
    routerFactory: App\RouterFactory
    router: @routerFactory::createRouter

    - App\Forms\ArticleForm
    - App\Model\ArticleManager

    - App\Forms\PublicationForm
    - App\Model\PublicationManager

    - App\Forms\PageForm
    - App\Model\PageManager

    - App\Forms\ProfileForm
    - App\Model\ProfileManager

    authenticator: Nette\Security\SimpleAuthenticator([
			admin@statikajv.cz: hesloFELsemestralka
		])


extensions:
    console: Kdyby\Console\DI\ConsoleExtension
    events: Kdyby\Events\DI\EventsExtension
    annotations: Kdyby\Annotations\DI\AnnotationsExtension
    doctrine: Kdyby\Doctrine\DI\OrmExtension
    validator: Kdyby\Validator\DI\ValidatorExtension
    doctrineForms: Kdyby\DoctrineForms\DI\FormsExtension
    translation: Kdyby\Translation\DI\TranslationExtension

doctrine:
    user: c1semestralka
    password: semestralkafel
    dbname: c1semestralka
    metadata:
        App\Model\Entity: %appDir%/model/entity